package gus05.manager.gus.kassia.layer3.b05.loadmapping;

import java.io.File;
import java.util.Properties;

import gus05.manager.gus.kassia.layer3.tools.AbstractResourceLoader;

public class B05 extends AbstractResourceLoader {

	
	public static void loadMapping() throws Exception
	{
		new B05().load("mapping",PROPKEY_SEQUENCE_LOADMAPPING,RESOURCEPATH_MAPPING);
	}
	
	
	
	


	protected void load_fromInside_(int index, String resourceID) throws Exception
	{
		Properties p = insideProp(resourceID);
		if(p!=null && !p.isEmpty()) mapping.putAll(p);
	}


	protected void load_fromPathID_(int index, String pathID) throws Exception
	{
		File f = s0_getFile(pathID);
		if(f!=null && f.exists()) loadMapping_fromFile(f);
	}
	
    
    private void loadMapping_fromFile(File f) throws Exception
    {
    	Properties p = prop(f);
    	if(!p.isEmpty()) mapping.putAll(p);
    }
}
