package gus05.manager.gus.kassia.layer3.c04.initentityloader;

import java.util.Map;

import gus05.framework.features.Give;
import gus05.manager.gus.kassia.layer3.KS6;

public class C04 extends KS6 implements Give {

	
	
	public static void initEntityLoader() throws Exception
    {
    	putPool(POOL_GIVE_ENTITYLOADER,new C04());
    }
    
    

	public void give(Object obj) throws Exception
	{loadEntity_((String)obj);}
	
	
	
	private void loadEntity_(String name) throws Exception
	{
		Map m = map_entityClasses();
    	if(m.containsKey(name)) return;
    	
    	if(!booleanProp(PROPKEY_ENTITYLOADENABLED,true))
    		throw new Exception("Unknown entity: ["+name+"]");
    	
    	s0_checkLoadSecurity(name);
    	
		Class c = s1_loadEntityClass(name);
        m.put(name,c);
        
        s0_loadEntityParam(name);
	}
}
