package gus05.manager.gus.kassia.layer3.f03.initactionhandler;


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;
import java.util.Map;

import javax.swing.Action;

import gus05.framework.features.Give;
import gus05.manager.gus.kassia.layer3.KS6;



public class F03 extends KS6 implements Give, ActionListener {

	
	
	public static void initActionHandler()
	{
		putPoolMap(POOL_MAP_ACTIONS);
		putPool(POOL_GIVE_ACTIONHANDLER,new F03());
	}
	

	private F03()
	{supportLing().addActionListener(this);}
	
	
	
	public void actionPerformed(ActionEvent e)
	{updateAllActions();}
	
	
	
	public void give(Object obj) throws Exception
	{handleAction((Action)obj);}

	
	
	
	
	private void handleAction(Action action)
    {
		Map m = map_actions();
		
		int i=0;
		String id = action.toString();
        while(m.containsKey(id+":"+i))i++;
        m.put(id+":"+i,action);
        
        updateAction(action);
    }
	
	
	
	
	private void updateAllActions()
	{
		Map m = map_actions();
		Iterator it = m.keySet().iterator();
        while(it.hasNext())
        {
            String key = (String)it.next();
            Action action = (Action) m.get(key);
            updateAction(action);
        }
	}
	
	
	
	private void updateAction(Action action)
    {
		try{s0_updateAction(action);}
		catch(Exception e)
		{err(this,"updateAction(Action)",e);}
    }
}
