package gus05.manager.gus.kassia.layer3.g08.initresourceprovider.entity;


import java.util.Map;

import gus05.framework.features.Retrieve;
import gus05.manager.gus.kassia.layer3.KS6;


public class G08 extends KS6 {

	
	
	public static void initResourceProvider_entity()
	{
        Map m = map_providers();
        m.put(PROVIDER_ENTITY,new EntityProvider());
        m.put(PROVIDER_ENTITYUNIQUE,new EntityProvider_unique());
        m.put(PROVIDER_ENTITYNEW,new EntityProvider_new());
	}
	
	
	
	
	
	private static class EntityProvider_new implements Retrieve
    {
        public Object retrieve(String key) throws Exception
        {return s0_generateEntity(key);}
    }
    
    
    
    private static class EntityProvider_unique implements Retrieve
    {
        public Object retrieve(String key) throws Exception
        {
            if(!key.contains(" "))
            	return s1_provideUniqueEntity(key);
            String[] n = key.split(" ",2);
            return s1_provideUniqueEntity(n[0],n[1]);
        }
    }
    
    
    
    private static class EntityProvider implements Retrieve
    {
        public Object retrieve(String key) throws Exception
        {return s1_provideEntity(key);}
    }
	
}
