package gus05.manager.gus.kassia.layer3.g11.initresourceprovider.data1;


import java.util.Map;

import gus05.framework.core.Entity;
import gus05.manager.gus.kassia.layer3.KS6;
import gus05.manager.gus.kassia.layer3.tools.AbstractResourceProvider;


public class G11 extends KS6 {

	
	
	public static void initResourceProvider_data1()
	{
		Map m = map_providers();
		
		m.put(PROVIDER_DATAMAP_GET, new ResourceProvider_map_get());
		m.put(PROVIDER_DATAMAP_KEYSET, new ResourceProvider_map_keyset());
	}
	
	
	
	
	private static class ResourceProvider_map_get extends AbstractResourceProvider
	{
		public Object retrieveResource(Entity entity, String id, String key) throws Exception
	    {
	    	String[] n = key.split(" ",2);
    		if(n.length!=2) throw new Exception("Invalid key for ResourceProvider_map_get: ["+key+"]");
    		
	    	Map m = map_(entity,id,n[0]);
	    	if(!m.containsKey(n[1])) return null;
	    	return m.get(n[1]);
	    }
	}
	
	
	
	private static class ResourceProvider_map_keyset extends AbstractResourceProvider
	{
		public Object retrieveResource(Entity entity, String id, String key) throws Exception
	    {
	    	Map m = map_(entity,id,key);
	    	return m.keySet();
	    }
	}
	
	
	
	private static Map map_(Entity entity, String id, String key) throws Exception
    {
		if(key.startsWith("pool")) key = key+"."+src(entity,id);
    	return s1_getDataMap(PROVIDER_DATAMAP+"#"+key);
    }
}
