package gus05.manager.gus.kassia.layer3.g18.initresourceprovider.putpool;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.manager.gus.kassia.layer3.tools.AbstractResourceProvider;


public class G18 extends AbstractResourceProvider {

	
	
	public static void initResourceProvider_putpool()
	{map_providers().put(PROVIDER_INITPOOL,new G18());}

	
	public Object retrieveResource(Entity entity, String id, String key) throws Exception
	{
		String[] n = key.split(" ",2);
		if(n.length!=2) throw new Exception("Invalid rule ["+key+"] for initResourceProvider_putpool");
		
		if(!hasPool(n[0]))
		{
			Object obj = Outside.resource(entity,n[1]);
			putPool(n[0],obj);
		}
		return getPool(n[0]);
	}
}
