package gus05.manager.gus.kassia.layer3.tools;

import gus05.framework.core.Entity;
import gus05.framework.features.Register;
import gus05.framework.features.Retrieve;
import gus05.manager.gus.kassia.layer3.KS6;


public abstract class AbstractResourceProvider extends KS6 implements Retrieve, Register {

	
	private Entity entity_;
	private String id_;
    
    public void register(String key, Object obj) throws Exception
    {
    	if(key.equals("entity")) {entity_ = (Entity)obj;return;}
        if(key.equals("id")) {id_ = (String)obj;return;}
        
        throw new Exception("Unknown key: ["+key+"]");
    }
    
    public Object retrieve(String key) throws Exception
	{return retrieveResource(entity_,id_,key);}
    
    
    protected abstract Object retrieveResource(Entity entity, String id, String key) throws Exception;
}
