package gus05.manager.gus.kassia.layer3.v04.initmaingui;

import javax.swing.JComponent;
import javax.swing.JFrame;

import gus05.manager.gus.kassia.layer3.KS6;


public class V04 extends KS6 {

	
	public static void initMainPanel()
	{
		JFrame f = mainFrame();
		if(f==null) return;

		JComponent content = buildContent();
		printM(V04.class,"initMainPanel()","Initializing main panel: ["+name(content)+"]");
		f.setContentPane(scroll(content));
	}
	
	
	
	
    private static JComponent buildContent()
    {
    	try
    	{
    		JComponent comp = s1_provideMainGui();
        	if(comp==null) comp = new EmptyPanel(EMPTYGUI_TEXT);
        	return console()?buildConsolePanel(comp):comp;
    	}
    	catch(Exception e)
    	{
    		err(V04.class,"buildContent()",e);
    		return buildConsolePanel(e);
    	}
    }
    
    
    
    
    private static JComponent buildConsolePanel(JComponent comp)
    {
    	ConsolePanel panel = new ConsolePanel(comp);
    	initLog(panel);
    	return panel;
    }
    
    
    private static JComponent buildConsolePanel(Exception e)
    {
    	ConsolePanel panel = new ConsolePanel(e);
    	initLog(panel);
    	return panel;
    }
    
    
    private static void initLog(ConsolePanel panel)
    {
    	try{s0_addLog(panel.log());}
    	catch(Exception e)
    	{err(V04.class,"initLog(ConsolePanel)",e);}
    }
}
