package gus05.manager.gus.kassia.layer3;

import javax.swing.JFrame;

import gus05.framework.tools.DefaultSupport;
import gus05.manager.gus.kassia.layer3.a01.initfirstobjets.A01;
import gus05.manager.gus.kassia.layer3.a02.initerrorlistener.A02;
import gus05.manager.gus.kassia.layer3.a03.initlasterrorhandler.A03;
import gus05.manager.gus.kassia.layer3.a04.checkjavaversion.A04;
import gus05.manager.gus.kassia.layer3.a05.initexecuteexit.A05;
import gus05.manager.gus.kassia.layer3.a06.initexecuteprintdebug.A06;
import gus05.manager.gus.kassia.layer3.a07.initfileinitializer.A07;
import gus05.manager.gus.kassia.layer3.a08.initfileprovider.A08;
import gus05.manager.gus.kassia.layer3.a09.initfileprovider.pool.A09;
import gus05.manager.gus.kassia.layer3.a10.initcoder_u.A10;
import gus05.manager.gus.kassia.layer3.a11.initcoder_base64.A11;
import gus05.manager.gus.kassia.layer3.a12.initsecretkeybuilder.A12;
import gus05.manager.gus.kassia.layer3.a13.initcipher.A13;
import gus05.manager.gus.kassia.layer3.a14.initiconbuilder.A14;
import gus05.manager.gus.kassia.layer3.a15.initsoundbuilder.A15;
import gus05.manager.gus.kassia.layer3.a16.initiconloader.A16;
import gus05.manager.gus.kassia.layer3.a17.initsoundloader.A17;
import gus05.manager.gus.kassia.layer3.b01.loadproperties.B01;
import gus05.manager.gus.kassia.layer3.b02.loadicons.B02;
import gus05.manager.gus.kassia.layer3.b03.loadsounds.B03;
import gus05.manager.gus.kassia.layer3.b04.loadlings.B04;
import gus05.manager.gus.kassia.layer3.b05.loadmapping.B05;
import gus05.manager.gus.kassia.layer3.b06.loadentityinfo.B06;
import gus05.manager.gus.kassia.layer3.c01.initentityproviders.C01;
import gus05.manager.gus.kassia.layer3.c02.initentitygenerator.C02;
import gus05.manager.gus.kassia.layer3.c03.initentityclassholder.C03;
import gus05.manager.gus.kassia.layer3.c04.initentityloader.C04;
import gus05.manager.gus.kassia.layer3.c05.initentityclassloader.C05;
import gus05.manager.gus.kassia.layer3.c06.initentityclassloader_bin.C06;
import gus05.manager.gus.kassia.layer3.c07.initentityclassloader_jar.C07;
import gus05.manager.gus.kassia.layer3.d01.initresourcecaller.D01;
import gus05.manager.gus.kassia.layer3.d02.initservicecaller.D02;
import gus05.manager.gus.kassia.layer3.e01.initdataprovider.E01;
import gus05.manager.gus.kassia.layer3.e02.initdatabuilder.E02;
import gus05.manager.gus.kassia.layer3.e03.initdatasourcefinder.E03;
import gus05.manager.gus.kassia.layer3.e04.initdatapersistence.E04;
import gus05.manager.gus.kassia.layer3.e05.initdatabackup.E05;
import gus05.manager.gus.kassia.layer3.f01.initlingsupport.F01;
import gus05.manager.gus.kassia.layer3.f02.initactionbuilder.F02;
import gus05.manager.gus.kassia.layer3.f03.initactionhandler.F03;
import gus05.manager.gus.kassia.layer3.f04.initactionupdater.F04;
import gus05.manager.gus.kassia.layer3.f05.initactioninfobuilder.F05;
import gus05.manager.gus.kassia.layer3.g01.initresourceprovider.G01;
import gus05.manager.gus.kassia.layer3.g02.initresourceprovider.basic.G02;
import gus05.manager.gus.kassia.layer3.g03.initresourceprovider.output.G03;
import gus05.manager.gus.kassia.layer3.g04.initresourceprovider.file.G04;
import gus05.manager.gus.kassia.layer3.g05.initresourceprovider.file1.G05;
import gus05.manager.gus.kassia.layer3.g06.initresourceprovider.path.G06;
import gus05.manager.gus.kassia.layer3.g07.initresourceprovider.dir.G07;
import gus05.manager.gus.kassia.layer3.g08.initresourceprovider.entity.G08;
import gus05.manager.gus.kassia.layer3.g09.initresourceprovider.entity1.G09;
import gus05.manager.gus.kassia.layer3.g10.initresourceprovider.data.G10;
import gus05.manager.gus.kassia.layer3.g11.initresourceprovider.data1.G11;
import gus05.manager.gus.kassia.layer3.g12.initresourceprovider.process.G12;
import gus05.manager.gus.kassia.layer3.g13.initresourceprovider.wrap.G13;
import gus05.manager.gus.kassia.layer3.g14.initresourceprovider.combine.G14;
import gus05.manager.gus.kassia.layer3.g15.initresourceprovider.lingprovider.G15;
import gus05.manager.gus.kassia.layer3.g16.initresourceprovider.iconprovider.G16;
import gus05.manager.gus.kassia.layer3.g17.initresourceprovider.actionbuilder.G17;
import gus05.manager.gus.kassia.layer3.g18.initresourceprovider.putpool.G18;
import gus05.manager.gus.kassia.layer3.h01.initmainframe.H01;
import gus05.manager.gus.kassia.layer3.h02.initmainguibuilder.H02;
import gus05.manager.gus.kassia.layer3.h03.initlogfile.H03;
import gus05.manager.gus.kassia.layer3.tools.Tool_debug;
import gus05.manager.gus.kassia.layer3.tools.printstream.PrintStream_Err;
import gus05.manager.gus.kassia.layer3.tools.printstream.PrintStream_Log;
import gus05.manager.gus.kassia.layer3.tools.printstream.PrintStream_Out;
import gus05.manager.gus.kassia.layer3.v01.customizepool.V01;
import gus05.manager.gus.kassia.layer3.v02.customizeproviders.V02;
import gus05.manager.gus.kassia.layer3.v03.handlestartlist.V03;
import gus05.manager.gus.kassia.layer3.v04.initmaingui.V04;
import gus05.manager.gus.kassia.layer3.v05.decorateframe.V05;




public class KS7 extends KS6 {
	
	
	public static void start() throws Exception
	{
        startLog();
        
        nextPhase_poolInitialization();
        initPool();

        nextPhase_applicationBuild();
        buildApp();

        nextPhase_applicationStart();	
        startApp();

        nextPhase_applicationSummary();	
        presentApp();

        nextPhase_applicationRuntime();
	}


	
	
	
	
	private static void startLog() throws Exception
	{
		PrintStream_Log p_log = new PrintStream_Log();
		PrintStream_Out p_out = new PrintStream_Out(p_log);
		PrintStream_Err p_err = new PrintStream_Err(p_log);
        
		putPool(POOL_PRINTSTREAM_SYSOUT,System.out);
        putPool(POOL_PRINTSTREAM_SYSERR,System.err);
        putPool(POOL_PRINTSTREAM_APP_LOG,p_log);
        putPool(POOL_PRINTSTREAM_APP_OUT,p_out);
        putPool(POOL_PRINTSTREAM_APP_ERR,p_err);
        
        System.setOut(p_out);
        System.setErr(p_err);
        
        p_log.sysOutEnabled = sysout() || debug();
        
        printM_("startLog()","printstreams initialized");
        printM_("startLog()","manager ID: ["+MANAGERID+"]");
        printM_("startLog()","internal ID: ["+id()+"]");
        printM_("startLog()","internal state: "+state());
        if(hasArgs()) printM_("startLog()","arguments line: ["+appArgsLine+"]");
	}
	
	
	
	
	
	
	
	private static void initPool() throws Exception
	{
		initpool_start = millis();
		
		lapse();
		A01.initFirstObjects();t();
		A02.initErrorListener();t();
		A03.initLastErrorHandler();t();
        A04.checkJavaVersion();t();
        A05.initExecuteExit();t();
        A06.initExecutePrintDebug();t();
        A07.initFileInitializer();t();
        A08.initFileProvider();t();
        A09.initFileProvider_pool();t();
        A10.initCoder_U();t();
        A11.initCoder_BASE64();t();
        A12.initSecretKeyBuilder();t();
        A13.initCipher();t();
        A14.initIconBuilder();t();
        A15.initSoundBuilder();t();
        A16.initIconLoader();t();
        A17.initSoundLoader();t();
        
		// resource loading
        B01.loadProperties();t();
        B02.loadIcons();t();
        B03.loadSounds();t();
        B04.loadLings();t();
        B05.loadMapping();t();
        B06.loadEntityInfo();t();
		
		// entity generation
        C01.initEntityProviders();t();
        C02.initEntityGenerator();t();
        C03.initEntityClassHolder();t();
        C04.initEntityLoader();t();
        C05.initEntityClassLoader();t();
        C06.initEntityClassLoader_Bin();t();
        C07.initEntityClassLoader_Jar();t();
        
        // callers
        D01.initResourceCaller();t();
        D02.initServiceCaller();t();
        
		// data provider
        E01.initDataProvider();t();
        E02.initDataBuilder();t();
        E03.initDataSourceFinder();t();
        E04.initDataPersistence();t();
        E05.initDataBackup();t();
        
        // ling & action
        F01.initLingSupport();t();
        F02.initActionBuilder();t();
        F03.initActionHandler();t();
        F04.initActionUpdater();t();
		F05.initActionInfoBuilder();t();
		
		// resource provider
        G01.initResourceProvider();t();
        G02.initResourceProvider_basic();t();
        G03.initResourceProvider_output();t();
        G04.initResourceProvider_file();t();
        G05.initResourceProvider_file1();t();
        G06.initResourceProvider_path();t();
        G07.initResourceProvider_dir();t();
        G08.initResourceProvider_entity();t();
        G09.initResourceProvider_entity1();t();
        G10.initResourceProvider_data();t();
        G11.initResourceProvider_data1();t();
		G12.initResourceProvider_process();t();
        G13.initResourceProvider_wrap();t();
        G14.initResourceProvider_combine();t();
        G15.initResourceProvider_lingProvider();t();
        G16.initResourceProvider_iconProvider();t();
        G17.initResourceProvider_actionBuilder();t();
        G18.initResourceProvider_putpool();t();
		
        // last pool objects
        H01.initMainFrame();t();
        H02.initMainGuiProvider();t();
        H03.initLogFile();t();
        
        initpool_end = millis();
	}
	
	private static int t = 0;
    
    private static void t()
    {printD_("initPool()","time@t"+formatN2(++t)+": "+n_(ms(lapse())));}
	
	
    
    
	
	
	
    
    
	private static void buildApp() throws Exception
	{
		if(number_newEntities>0)
    		throw new Exception(number_newEntities+ "entities have been instanciated before APPLICATION BUILD phase");
		
	    buildapp_start = millis();
		
		lapse();
		V01.customizePool();v();
        V02.customizeProviders();v();
        V03.handleStart();v();
        V04.initMainPanel();v();
        V05.decorateFrame();v();
        
        buildapp_end = millis();
	}
	
	private static int v = 0;
    
    private static void v()
    {printD_("buildApp()","time@v"+formatN2(++v)+": "+n_(ms(lapse())));}
	
	
    
    
	
	
    
    
    
    
    
    
    private static void startApp()
    {
    	startapp_start = millis();
    	
    	JFrame f = mainFrame();
    	if(f==null) printW_("startApp()","MainFrame not found inside pool");
    	else handleSetVisible(f);
    	
    	DefaultSupport s = supportStart();
    	if(s==null) printW_("startApp()","SupportStart not found inside pool");
    	else handleSupportStart(s);
    	
    	startDuration = timeFromStart();
        putPool(POOL_LONG_STARTDURATION, new Long(startDuration));
    	
    	startapp_end = millis();
    }
    
    
	
	
	private static void handleSetVisible(JFrame f)
	{
		if(!booleanProp(PROPKEY_APPVISIBLEONSTART,true)) return;
		printM_("handleSetVisible(JFrame)","setVisible(true)");
		f.setVisible(true);
	}
	
	
	private static void handleSupportStart(DefaultSupport s)
    {
		int n = s.listeners().size();
    	if(n==0) {printM_("handleSupportStart(DefaultSupport)","no task found");return;}
    	printM_("handleSupportStart(DefaultSupport)","send:start ("+n+" tasks found)");
		s.send(KS7.class,"start");
    }
    
    
	
	
	
	
    
    
    
    private static void presentApp()
    {
    	printM_("presentApp()"," App identity");
    	printM_("presentApp()"," . app title = ["+appTitle()+"]");
    	printM_("presentApp()"," . app name = ["+appName()+"]");
    	printM_("presentApp()"," . app version = ["+appVersion()+"]");
    	printM_("presentApp()"," . app build = ["+appBuild()+"]");
    	printM_("presentApp()"," . app gus05 ID = ["+appGus05ID()+"]");
    	
    	printM_("presentApp()"," Launch env");
    	printM_("presentApp()"," . launch directory = "+display(DIR_SYS_USERDIR));
    	printM_("presentApp()"," . app start time = ["+startDate()+"]");
    	printM_("presentApp()"," . java home = "+display(DIR_SYS_JAVAHOME));
    	printM_("presentApp()"," . java version = ["+SYS_JAVAVERSION+javaVersionGap()+"]");
    	
    	printM_("presentApp()"," Launch config");
    	printM_("presentApp()"," . arguments line = ["+appArgsLine+"]");
    	printM_("presentApp()"," . root directory = "+display(s0_getFile(FILEID_ROOTDIR)));
    	printM_("presentApp()"," . prop file = "+display(s0_getFile(FILEID_PROPFILE)));
    	printM_("presentApp()"," . log file = "+display(s0_getFile(FILEID_LOGFILE)));
    	
    	printM_("presentApp()"," Runtime state");
    	printM_("presentApp()"," . app maingui key = "+getProp(PROPKEY_APPMAINGUI,null));
    	printM_("presentApp()"," . app maingui comp = "+name(getPool(POOL_JCOMPONENT_MAINGUI)));
    	printM_("presentApp()"," . internal state: "+state());
    	printM_number("presentApp()"," . entity",	" . no entity found",	map_entityClasses().size());
    	printM_number("presentApp()"," . prop",		" . no prop found",		map_props().size());
    	printM_number("presentApp()"," . icons",	" . no icon found",		map_icons().size());
    	printM_number("presentApp()"," . sounds",	" . no sound found",	map_sounds().size());
    	printM_number("presentApp()"," . lings",	" . no ling found",		map_lings().size());
    	
    	printM_("presentApp()"," Java Threads");
    	printM_("presentApp()"," . active count: "+Thread.activeCount());
    	printM_("presentApp()"," . current thread: "+Thread.currentThread().getName()+" (id="+Thread.currentThread().getId()+")");
    	
    	if(number_newIcons>0 || number_newAudios>0)
    	{
    		printM_("presentApp()"," URL Resources loading time");
        	if(number_newIcons>0) printM_("presentApp()"," . "+number_newIcons+" icon(s):  "+n_(ms(time_newIcons)));
        	if(number_newAudios>0) printM_("presentApp()"," . "+number_newAudios+" sound(s): "+n_(ms(time_newAudios)));
    	}
    	
    	if(number_newEntities>0)
    	{
    		printM_("presentApp()"," Entities creations");
    		printM_("presentApp()"," . "+number_newEntities+" entity objects created");
    	}
    	
    	printM_("presentApp()"," Start durations");
    	printM_("presentApp()"," . initsys duration:  "+n_(ms(initpool_start-appStartDate.getTime())));
        printM_("presentApp()"," . initpool duration: "+n_(ms(initpool_end-initpool_start)));
        printM_("presentApp()"," . buildapp duration: "+n_(ms(buildapp_end-buildapp_start)));
        printM_("presentApp()"," . startapp duration: "+n_(ms(startapp_end-startapp_start)));
        printM_("presentApp()"," . total duration:    "+n_(ms(startDuration)));
        
        if(hasErrors())
        {
        	if(errorNumber()==1) printW_("presentApp()","1 error has occured");
        	else printW_("presentApp()",errorNumber()+" errors have occured");
        }
        Tool_debug.printAppDebugInfo();
    }
    
    
    
    
    
    
    
	
    private static void printM_number(String id, String message, String emptyMessage, int size)
	{
    	if(size>=0) printM_(id,message+" number = "+size);
    	else printM_(id,emptyMessage);
    }
    
	
	private static void printM_(String id, String message)
	{printM(KS7.class,id,message);}
    
    private static void printW_(String id, String message)
	{printW(KS7.class,id,message);}
    
    private static void printD_(String id, String message)
	{printD(KS7.class,id,message);}
    
    
    
    private static String n_(String s)
    {return formatN(s," ",12);}
}
