package gus05.manager.gus.kassia.layer3.a03.initlasterrorhandler;

import gus05.framework.features.Give;
import gus05.manager.gus.kassia.layer3.KS6;

public class A03 extends KS6 implements Give {

	
	
	
	public static void initLastErrorHandler() throws Exception
	{putPool(POOL_GIVE_LASTERRORHANDLER,new A03());}
	
	
	

	
	public void give(Object obj) throws Exception
	{
		Object[] info = (Object[]) obj;
        
    	Object source = info[0];
        String id = (String) info[1];
        Exception e = (Exception) info[2];
        //Date date = (Date) info[3];
        
        String exceptionName = e.getClass().getName();
        printE(source,id,exceptionName);
        
        printDetail(e);
	}
	
	
	
	
	
	private void printDetail(Exception e)
	{
		if(errorNumber()==1)
		{
			String printLevel = getErrorPrintLevel_first();
			printDetail(e,printLevel);
			return;
		}
		
		if(isPhase_applicationExit())
		{
			String printLevel = getErrorPrintLevel_exit();
			printDetail(e,printLevel);
			return;
		}
		
		String printLevel = getErrorPrintLevel();
		printDetail(e,printLevel);
	}
	
	
	
	
	
	
	
	private void printDetail(Exception e, String printLevel)
	{
		if(printLevel.equals(PROPVALUE_ERRORPRINTLEVEL_CAUSES))
        {printCauses(e,p_log()); return;}
        
        if(printLevel.equals(PROPVALUE_ERRORPRINTLEVEL_MESSAGE))
        {printMessage(e,p_log()); return;}
        
        if(printLevel.equals(PROPVALUE_ERRORPRINTLEVEL_STACKTRACE))
        {printStackTrace(e,p_log()); return;}
	}

}
