package gus05.manager.gus.kassia.layer3.a04.checkjavaversion;

import javax.swing.JOptionPane;

import gus05.manager.gus.kassia.layer3.KS6;
import gus05.manager.gus.kassia.layer3.tools.Tool_javaVersion;

public class A04 extends KS6 {

	
	
	
	public static void checkJavaVersion() throws Exception
	{
		if(hasArg(ARGVALUE_DISABLEJAVACHECK)) return;
    	if(!hasProp(PROPKEY_APPJAVAVERSION)) return;

    	String appJavaVersion = getProp(PROPKEY_APPJAVAVERSION);
    	if(appJavaVersion.equals("")) return;
    	if(Tool_javaVersion.isJavaVersionSupported(appJavaVersion)) return;

    	
    	String w1 = "This application requires Java version ["+appJavaVersion+"]";
    	String w2 = "Current installed Java version is ["+SYS_JAVAVERSION+"]";
    	
    	printW(A04.class,"checkJavaVersion()",w1);
    	printW(A04.class,"checkJavaVersion()",w2);

    	String q = "The application may not execute properly.\nDo you wish to continue anyway ?";
    	
    	int value = JOptionPane.showConfirmDialog(null,w1+"\n"+w2+"\n\n"+q,
    			"JAVA COMPATIBILITY WARNING",
    			JOptionPane.YES_NO_OPTION,
    			JOptionPane.WARNING_MESSAGE);
    	
    	
    	if(value==JOptionPane.NO_OPTION) forceExit();
    	
    	String[] gap = new String[]{SYS_JAVAVERSION,appJavaVersion};
    	putPool(POOL_STRINGARRAY_JAVAVERSIONGAP,gap);
	}
}
