package gus05.manager.gus.kassia.layer3.a11.initcoder_base64;

import gus05.framework.features.Transform;
import gus05.manager.gus.kassia.layer3.KS6;
import gus05.manager.gus.kassia.layer3.tools.Tool_Base64Coder;

public class A11 extends KS6 {

	
	
	public static void initCoder_BASE64()
	{
		putPool(POOL_TRANSFORM_BASE64ENCODER,new Base64Encoder());
		putPool(POOL_TRANSFORM_BASE64DECODER,new Base64Decoder());
	}
	
	
	
	private static class Base64Encoder implements Transform
	{
		public Object transform(Object obj) throws Exception
		{return perform_base64encode((byte[])obj);}
	}
	
	private static class Base64Decoder implements Transform
	{
		public Object transform(Object obj) throws Exception
		{return perform_base64decode((String)obj);}
	}
	
	
	
	private static String perform_base64encode(byte[] input)
    {return new String(Tool_Base64Coder.encode(input));}
    
	
    private static byte[] perform_base64decode(String input)
    {return Tool_Base64Coder.decode(input);}
}
