package gus05.manager.gus.kassia.layer3.a12.initsecretkeybuilder;

import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;

import gus05.framework.features.Provide;
import gus05.manager.gus.kassia.layer3.KS6;

public class A12 extends KS6 implements Provide {

	
	public static void initSecretKeyBuilder() throws Exception
	{putPool(POOL_PROVIDE_SECRETKEYBUILDER,new A12());}
	
	
	
	private SecretKey key;
	
	
	public Object provide() throws Exception
	{
		if(key==null) initSecretKey();
		return key;
	}
	
	
	private void initSecretKey() throws Exception
    {
		String info = getSecretKeySpec("sd1fijn7sdi36gn5ppoio22e1");
		PBEKeySpec spec = new PBEKeySpec(info.toCharArray());
		SecretKeyFactory factory = SecretKeyFactory.getInstance("PBEWithMD5AndDES");
		key = factory.generateSecret(spec);
	}
}
