package gus05.manager.gus.kassia.layer3.f04.initactionupdater;


import javax.swing.Action;
import javax.swing.Icon;

import gus05.framework.features.Give;
import gus05.manager.gus.kassia.layer3.KS6;



public class F04 extends KS6 implements Give {

	
	
	public static void initActionUpdater()
	{putPool(POOL_GIVE_ACTIONUPDATER,new F04());}

	
	
	public void give(Object obj) throws Exception
	{updateAction((Action)obj);}
	
	
	
	
	private void updateAction(Action action) throws Exception
	{
		try
		{
			String[] infos = s1_buildActionInfos(action);
			if(infos.length!=4) throw new Exception("Wrong info number for action: "+action+" ("+infos.length+" infos found)");
			
			String entityName = infos[0];
			String nameKey = infos[1];
			String descKey = infos[2];
			String iconID = infos[3];
			
			String actionName = entityName!=null?getLingString(entityName,nameKey):s0_getLingString(nameKey);
			String actionDesc = entityName!=null?getLingString(entityName,descKey):s0_getLingString(descKey);
			Icon actionIcon = entityName!=null?icon1(entityName,iconID):icon1(iconID);
			
			action.putValue(Action.NAME,actionName);
			action.putValue(Action.SHORT_DESCRIPTION,actionDesc);
			action.putValue(Action.SMALL_ICON,actionIcon);
		}
		catch(Exception e)
		{
			String message = "Action update failed: ["+action+"]";
            throw new Exception(message,e);
		}
	}
}
