package gus05.manager.gus.kassia.layer3.g07.initresourceprovider.dir;


import java.io.File;

import gus05.framework.core.Entity;
import gus05.manager.gus.kassia.layer3.tools.AbstractResourceProvider;


public class G07 extends AbstractResourceProvider {

	
	
	public static void initResourceProvider_dir()
	{map_providers().put(PROVIDER_DIR,new G07());}
	
	
	
	public Object retrieveResource(Entity entity, String id, String key) throws Exception
    {
		File dir = key.equals("pool")?getDir_pool(entity,id):s0_getFile(key);
        if(dir==null) throw new Exception("Unknown fileID: ["+key+"]");

        if(!dir.exists()) s0_initDir(dir);
        if(!dir.exists()) throw new Exception("FileID ["+key+"] is not an existing path: ["+dir+"]");
        if(!dir.isDirectory()) throw new Exception("FileID ["+key+"] is not a directory path: ["+dir+"]");
        return dir;
    }
}
