package gus05.manager.gus.kassia.layer3.g09.initresourceprovider.entity1;


import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.features.Graphic;
import gus05.framework.features.Provide;
import gus05.framework.features.Retrieve;
import gus05.framework.features.Transform;
import gus05.manager.gus.kassia.layer3.KS6;


public class G09 extends KS6 {

	
	
	public static void initResourceProvider_entity1()
	{
        Map m = map_providers();
        
        m.put(PROVIDER_ENTITYGUI,new RP_entityGui());
        m.put(PROVIDER_ENTITYPROVIDE,new RP_entityProvide());
        m.put(PROVIDER_ENTITYRETRIEVE,new RP_entityRetrieve());
        m.put(PROVIDER_ENTITYTRANSFORM,new RP_entityTransform());
	}
	
	
	

	
	
	
	private static class RP_entityProvide implements Retrieve
    {
		public Object retrieve(String key) throws Exception
		{
			Entity entity = s1_provideUniqueEntity(key);
			if(!(entity instanceof Provide)) throw new Exception("Provide feature expected for entity: ["+key+"]");
    		return ((Provide)entity).provide();
		}
    }

    private static class RP_entityGui implements Retrieve
    {
    	public Object retrieve(String key) throws Exception
		{
    		Entity entity = s1_provideUniqueEntity(key);
    		if(!(entity instanceof Graphic)) throw new Exception("Graphic feature expected for entity: ["+key+"]");
    		return ((Graphic)entity).gui();
		}
    }
    
    private static class RP_entityRetrieve implements Retrieve
    {
    	public Object retrieve(String key) throws Exception
		{
    		String[] n = key.split(" ",2);
    		if(n.length!=2) throw new Exception("Invalid key for RP_entityRetrieve: ["+key+"]");
    		
    		Entity entity = s1_provideUniqueEntity(n[0]);
    		if(!(entity instanceof Retrieve)) throw new Exception("Retrieve feature expected for entity: ["+key+"]");
    		return ((Retrieve)entity).retrieve(n[1]);
		}
    }
    
    private static class RP_entityTransform implements Retrieve
    {
    	public Object retrieve(String key) throws Exception
		{
    		String[] n = key.split(" ",2);
    		if(n.length!=2) throw new Exception("Invalid key for RP_entityTransform: ["+key+"]");
    		
    		Entity entity = s1_provideUniqueEntity(n[0]);
    		if(!(entity instanceof Transform)) throw new Exception("Transform feature expected for entity: ["+key+"]");
    		return ((Transform)entity).transform(n[1]);
		}
    }
	
}
