package gus05.manager.gus.kassia.layer3.h01.initmainframe;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JMenuBar;

import gus05.manager.gus.kassia.layer3.KS6;

public class H01 extends KS6 {

	
	
	public static void initMainFrame() throws Exception
    {
		if(!booleanProp(PROPKEY_APPMAINFRAMEENABLED,true))
		{
			printW(H01.class,"initMainFrame()","Main frame disabled");
			return;
		}

		JFrame mainFrame = new JFrame();
		putPool(POOL_JFRAME_APPFRAME,mainFrame);
		
        mainFrame.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
        mainFrame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent evt){askExit();}
        });
        
        if(booleanProp(PROPKEY_APPMENUBARENABLED,true))
        {
        	JMenuBar menuBar = new JMenuBar();
            mainFrame.setJMenuBar(menuBar);
            putPool(POOL_JMENUBAR_APPMENUBAR,menuBar);
        }
    }
}