package gus05.manager.gus.kassia.layer3.tools.icon;

import java.awt.Component;
import java.awt.Graphics;

import javax.swing.Icon;

public class IconCompound implements Icon
{
	private Icon[] icons;
	
	public IconCompound(Icon[] icons)
	{this.icons = icons;}

	public int getIconHeight()
	{
		int h = 0;
		for(int i=0;i<icons.length;i++)
			if(h<icons[i].getIconHeight()) h = icons[i].getIconHeight();
		return h;
	}
	
	public int getIconWidth()
	{
		int w = 0;
		for(int i=0;i<icons.length;i++)
			if(w<icons[i].getIconWidth()) w = icons[i].getIconWidth();
		return w;
	}

	public void paintIcon(Component c, Graphics g, int x, int y)
	{
		for(int i=0;i<icons.length;i++)
			icons[i].paintIcon(c,g,x,y);
	}
}